## golang-github-jedib0t-go-pretty 6.1.1

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1.
  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 12 Apr 2021 22:14:34 +0000

golang-github-jedib0t-go-pretty (6.1.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #986437)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 05 Apr 2021 22:29:15 +0000

## golang-github-jedib0t-go-pretty 6.2.4

=== Makefile ===
.PHONY: all profile test

default: test

all: test bench

tools:
	go get github.com/fzipp/gocyclo
	go get golang.org/x/lint/golint

bench:
	go test -bench=. -benchmem

cyclo:
	gocyclo -over 13 ./*/*.go

demo-list:
	go run cmd/demo-list/demo.go

demo-progress:
	go run cmd/demo-progress/demo.go

demo-table:
	go run cmd/demo-table/demo.go

fmt:
	go fmt $(shell go list ./...)

lint:
	golint -set_exit_status $(shell go list ./...)

profile:
	sh profile.sh

test: fmt lint vet cyclo
	go test -cover -coverprofile=.coverprofile $(shell go list ./...)

test-race:
	go run -race ./cmd/demo-progress/demo.go

vet:
	go vet $(shell go list ./...)

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.2.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/salsa-ci.yml: set RELEASE variable to build on bullseye-backports.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 06 Oct 2021 17:48:19 +0000

golang-github-jedib0t-go-pretty (6.2.4-1) unstable; urgency=medium

  * New upstream version 6.2.4.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 16 Aug 2021 19:09:01 +0000

=== debian/control ===
Source: golang-github-jedib0t-go-pretty
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-profile-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/jedib0t/go-pretty
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/jedib0t/go-pretty

Package: golang-github-jedib0t-go-pretty-dev
Architecture: all
Depends: golang-github-mattn-go-runewidth-dev,
         golang-github-pkg-profile-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: Pretty print tables, lists, progress-bars and text
 Utilities to prettify console output of tables, lists, progress-bars and text.
 .
 Formatting  | Description
 Table       | Pretty-print tables into ASCII/Unicode strings.
 List        | Pretty-print lists with multiple levels/indents
               into ASCII/Unicode strings.
 Progress    | Track the Progress of one or more Tasks
               (like downloading multiple files in parallel).
 Text        | Utility functions to manipulate text with
               or without ANSI escape sequences.

## golang-github-jedib0t-go-pretty 6.3.1

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.3.1-1) unstable; urgency=medium

  * New upstream version 6.3.1.
  * Bump Standards-Version to 4.6.0.
  * Update upstream and packaging copyright years.
  * Update my email address.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 May 2022 18:22:31 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-mattn-go-runewidth-dev,
                golang-github-pkg-profile-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jedib0t/go-pretty
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty

## golang-github-jedib0t-go-pretty 6.3.3

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.3.3-1) unstable; urgency=medium

  * New upstream version 6.3.3.
  * Bump Standards-Version to 4.6.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 21 Jun 2022 13:26:25 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-github-mattn-go-runewidth-dev,
                golang-github-pkg-profile-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jedib0t/go-pretty
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty

## golang-github-jedib0t-go-pretty 6.4.0

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.4.0-1) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * New upstream version 6.4.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 01 Nov 2022 14:44:36 +0000

golang-github-jedib0t-go-pretty (6.3.8-1) unstable; urgency=medium

  * New upstream version 6.3.8.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 05 Sep 2022 13:24:11 +0000

## golang-github-jedib0t-go-pretty 6.4.2

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.4.2-1) unstable; urgency=medium

  * New upstream version 6.4.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 23 Nov 2022 16:52:36 +0000

## golang-github-jedib0t-go-pretty 6.4.4

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.4.4-2) unstable; urgency=medium

  * Add tzdata in Build-Depends. (Closes: #1027908)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 12 Jan 2023 13:39:34 +0000

golang-github-jedib0t-go-pretty (6.4.4-1) unstable; urgency=medium

  * New upstream version 6.4.4. (Closes: #1027908)
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 10 Jan 2023 14:10:19 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                golang-any,
                golang-github-mattn-go-runewidth-dev,
                golang-github-pkg-profile-dev,
-               golang-github-stretchr-testify-dev
-Standards-Version: 4.6.1
+               golang-github-stretchr-testify-dev,
+               tzdata
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jedib0t/go-pretty
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty

=== debian/watch ===
version=4
https://github.com/jedib0t/go-pretty/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-jedib0t-go-pretty 6.4.6

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.4.6-1) unstable; urgency=medium

  * New upstream version 6.4.6.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 25 Jul 2023 12:39:40 +0000

## golang-github-jedib0t-go-pretty 6.5.8

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.5.8-1) unstable; urgency=medium

  * New upstream version 6.5.8.
  * Add golang-golang-x-term-dev to Build-Depends field.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 02 May 2024 18:53:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                golang-github-mattn-go-runewidth-dev,
                golang-github-pkg-profile-dev,
                golang-github-stretchr-testify-dev,
+               golang-golang-x-term-dev,
                tzdata
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## golang-github-jedib0t-go-pretty 6.5.9

=== debian/changelog ===
golang-github-jedib0t-go-pretty (6.5.9-1) unstable; urgency=medium

  * New upstream version 6.5.9.
  * Bump Standards-Version to 4.7.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 19 Aug 2024 13:12:58 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-term-dev,
                tzdata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jedib0t/go-pretty
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jedib0t-go-pretty
